#!/usr/bin/env python
#-*- coding:utf-8 -*-

###########################################################################
# Eole NG - 2011
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# parsedico.py
#
# version de parsedico modifiée pour fonctionner dans les conteneurs.
# récupère les données depuis le serveur tournant sur le conteneur maître
#
###########################################################################

import sys, socket
from os.path import isfile
import client, config
socket.setdefaulttimeout(5)

network_containers_file = '/etc/eole/network_containers.conf'
if not isfile(network_containers_file):
    print "** impossible de trouver {0}, veuillez relancer reconfigure **".format(network_containers_file)
    sys.exit(1)
conf_containers = {}
execfile(config.network_containers_file, {}, conf_containers)
creole_client = client.CreoleClient(conf_containers['adresse_ip_br0'], 4333)
try:
    creole_client.ping()
except:
    raise socket.error("Erreur, le serveur de configuration creole n'est pas accessible sur br0")

def parse_dico():
    return creole_client.parse_dico()
